#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Author : Th.L.
# Date   : 2018-01-21
# Content: wato plugin for snmp check 'zyxel_foreign_aps'
#          to configure waring/critical levels
#
#

register_check_parameters(
    subgroup_networking,
    'zyxel_foreign_aps',
    'Zyxel WLC foreign APs',
    Dictionary(
        elements=[
            ('unclassified_levels',
             Tuple(
                 title=_('Levels for unclassified APs'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=10, unit=_('APs')),
                     Integer(title=_('Critical at'), default_value=20, unit=_('APs')),
                 ])),
            ('rogue_levels',
             Tuple(
                 title=_('Levels for rogue APs'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=10, unit=_('APs')),
                     Integer(title=_('Critical at'), default_value=20, unit=_('APs')),
                 ])),
            ('friendly_levels',
             Tuple(
                 title=_('Levels for frendly APs'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=10, unit=_('APs')),
                     Integer(title=_('Critical at'), default_value=20, unit=_('APs')),
                 ])),
        ]),
    None,
    match_type='dict'
)
